Name:       kannolo-logos
Summary:    Kannolo icons and pictures
Version:    18.0.0
Release:    1%{?dist}

Source0:    https://releases.pagure.org/generic-logos/generic-logos-%{version}.tar.bz2
Source1:    kannolo.svg
Source2:    kannolo-sprite.svg
Source3:    anaconda_header.svg
Source4:    anaconda.svg
#The KDE Logo is under a LGPL license (no version statement)
License:    GPLv2 and LGPLv2+
BuildArch:  noarch

Provides:   redhat-logos = %{version}-%{release}
Provides:   system-logos = %{version}-%{release}

Requires:   (%{name}-anaconda = %{version}-%{release} if anaconda-core)

Conflicts:  fedora-logos
Conflicts:  generic-logos
Conflicts:  anaconda-images <= 10
Conflicts:  redhat-artwork <= 5.0.5
BuildRequires: hardlink
# For _kde4_* macros:
BuildRequires: kde-filesystem
# For generating the EFI icon
BuildRequires: libicns-utils
# For converting the Kannolo SVGs
BuildRequires: ImageMagick
# For converting the text in the installed Kannolo SVGs to outlines
BuildRequires: inkscape
BuildRequires: aajohan-comfortaa-fonts
Requires(post): coreutils

%description
The kannolo-logos package contains various image files which can be
used by the bootloader, desktops and other related tools.

%package anaconda
Summary:     Kannolo icons and pictures for Anaconda

%description anaconda
The kannolo-logos-anaconda package contains various image files which can be
used by the Anaconda installer. Please note that the default installer in
Kannolo is Calamares, not Anaconda. These image files for Anaconda are only
shipped on an as-is basis.

%prep
%setup -q -n generic-logos-%{version}
# fix the makefile to use the square logo to generate the ICNS
sed -i -e 's/fedora-logo-small\.png/fedora-logo-sprite.png/g' Makefile
# delete hot dog images
rm -f pixmaps/*
rm -f plymouth/charge/throbber-{06,07,08,09,10,11,12,13,14,15}.png
rm -f anaconda/sidebar-logo.png
rm -f icons/Fedora/scalable/apps/anaconda.svg
rm -f icons/Fedora/48x48/apps/anaconda.png
# delete Anaconda header, replaced by a header with different text
rm -f anaconda/anaconda_header.png

%build
convert -background none %{SOURCE1} pixmaps/fedora-logo-small.png
inkscape %{SOURCE2} --export-text-to-path --export-plain-svg pixmaps/fedora-logo-sprite.svg
convert -background none -scale 128x128 %{SOURCE2} pixmaps/fedora-logo-sprite.png
convert -background none -scale 528x144 %{SOURCE1} pixmaps/fedora-logo.png
convert -background none -scale 235x64 %{SOURCE1} pixmaps/system-logo-white.png
convert -background none -scale 800x88 %{SOURCE3} anaconda/anaconda_header.png
install -p pixmaps/fedora-logo-sprite.png anaconda/sidebar-logo.png
install -p %{SOURCE4} icons/Fedora/scalable/apps/anaconda.svg
convert -background none -scale 48x48 %{SOURCE4} icons/Fedora/48x48/apps/anaconda.png
make

%install
mkdir -p %{buildroot}%{_datadir}/firstboot/themes/generic
for i in firstboot/* ; do
  install -p -m 644 $i %{buildroot}%{_datadir}/firstboot/themes/generic
done

mkdir -p %{buildroot}%{_datadir}/pixmaps/bootloader
install -p -m 644 bootloader/fedora.icns %{buildroot}%{_datadir}/pixmaps/bootloader
install -p -m 644 bootloader/fedora.vol %{buildroot}%{_datadir}/pixmaps/bootloader
install -p -m 644 bootloader/fedora-media.vol  %{buildroot}%{_datadir}/pixmaps/bootloader

mkdir -p %{buildroot}%{_datadir}/pixmaps/splash
for i in gnome-splash/* ; do
  install -p -m 644 $i %{buildroot}%{_datadir}/pixmaps/splash
done

mkdir -p %{buildroot}%{_datadir}/pixmaps
for i in pixmaps/* ; do
  install -p -m 644 $i %{buildroot}%{_datadir}/pixmaps
done

mkdir -p %{buildroot}%{_kde4_appsdir}/ksplash/Themes/Leonidas/2048x1536
install -p -m 644 ksplash/SolarComet-kde.png %{buildroot}%{_kde4_appsdir}/ksplash/Themes/Leonidas/2048x1536/logo.png

mkdir -p %{buildroot}%{_datadir}/plymouth/themes/charge/
for i in plymouth/charge/* ; do
    install -p -m 644 $i %{buildroot}%{_datadir}/plymouth/themes/charge/
done

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/
install -p -m 644 icons/Fedora/48x48/apps/* %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/
install -p -m 644 icons/Fedora/scalable/apps/* %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/places/
for i in fedora-logo-icon icon-panel-menu gnome-main-menu kmenu start-here ../places/start-here ; do
  ln -sf ../../../../pixmaps/fedora-logo-sprite.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/$i.svg
done

# add some dangling start-here symlinks to Breeze to work around #1344118
for i in breeze breeze-dark ; do
  for j in 16 22 64 ; do
    mkdir -p %{buildroot}%{_datadir}/icons/$i/places/$j/
    pushd %{buildroot}%{_datadir}/icons/$i/places/$j
    ln -sf start-here-kde.svg start-here.svg
    popd
  done
done

(cd anaconda; make DESTDIR=%{buildroot} install)

# save some dup'd icons
/usr/sbin/hardlink -v %{buildroot}/

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/bin/touch --no-create %{_datadir}/icons/breeze &>/dev/null || :
/bin/touch --no-create %{_datadir}/icons/breeze-dark &>/dev/null || :

%post anaconda
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    /bin/touch --no-create %{_datadir}/icons/breeze &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/breeze &>/dev/null || :
    /bin/touch --no-create %{_datadir}/icons/breeze-dark &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/breeze-dark &>/dev/null || :
fi

%postun anaconda
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/breeze &>/dev/null || :
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/breeze-dark &>/dev/null || :

%posttrans anaconda
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%license COPYING COPYING-kde-logo
%doc README
%{_datadir}/firstboot/themes/*
%{_datadir}/icons/hicolor/*/apps/*
%exclude %{_datadir}/icons/hicolor/*/apps/anaconda.*
%{_datadir}/icons/hicolor/*/places/*
%{_datadir}/icons/breeze/places/*/*
%{_datadir}/icons/breeze-dark/places/*/*
%{_datadir}/pixmaps/*
%{_datadir}/plymouth/themes/charge/*
%{_kde4_appsdir}/ksplash/Themes/Leonidas/2048x1536/logo.png

%files anaconda
%license COPYING
%{_datadir}/anaconda/boot/*
%{_datadir}/anaconda/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/anaconda.*

%changelog
* Sun Jan 21 2018 Kevin Kofler <Kevin@tigcc.ticalc.org> - 18.0.0-1
- Update to 18.0.0 (add anaconda sidebar/topbar logos)
- Replace anaconda.{svg,png}, anaconda_header.png and Anaconda sidebar-logo.png
- Move Anaconda icons to a subpackage, installed only if anaconda-core is
- Remove /boot/grub/splash.xpm.gz as in generic-logos
- Update Source0 URL (moved from fedorahosted to pagure)
- Set textLength in the icon SVGs to account for Comfortaa metric changes
- Convert the text in the installed Kannolo SVGs to outlines
- Install start-here etc. hicolor icon symlinks (keep start-here-kde for Breeze)

* Tue Nov 01 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 17.0.0-10
- Ship start-here symlinks to work around the broken fix for #1344118

* Fri Oct 07 2016 Kevin Kofler <Kevin@tigcc.ticalc.org> - 17.0.0-9
- Install anaconda logo files into the hicolor theme rather than Fedora, oxygen
- Update icon scriptlets

* Sun Aug 23 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 17.0.0-8
- Use %%license instead of %%doc for COPYING and COPYING-kde-logo
- Remove obsolete specfile constructs

* Thu Nov 20 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 17.0.0-7
- Rename from generic-logos to kannolo-logos, update summary and description
- Conflict with generic-logos
- Add the Kannolo logo
- Remove httpd subpackage (use generic-logos-httpd if you need it)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Nov 22 2013 Bill Nottingham <notting@redhat.com> - 17.0.0-5
- Add a -httpd subpackage. (#1031288)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 17.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May  2 2012 Bill Nottingham <notting@redhat.com> - 17.0.0-1
- update for Fedora 17 - .vol files for mactel boot

* Fri Oct 14 2011 Bill Nottingham <notting@redhat.com> - 16.0.0-1
- update syslinux & firstboot splashes for F16

* Tue Mar 22 2011 Bill Nottingham <notting@redhat.com> - 15.0.0-1
- update for Fedora 15

* Fri Dec 17 2010 Matthew Garrett <mjg@redhat.com> - 14.0.2-1
- add an icon for Mac EFI bootloaders

* Mon Nov 29 2010 Bill Nottingham <notting@redhat.com> - 14.0.1-3
- prereq coreutils (#657766)

* Tue Sep 28 2010 Rex Dieter <rdieter@fedoraproject.org> - 14.0.1-2
- s/Fedora-KDE/oxygen/ icons (#615621)
- use hardlink to save a little space
 
* Tue Sep 14 2010 Bill Nottingham <notting@redhat.com> - 14.0.1-1
- fix for new anaconda paths

* Mon Sep 13 2010 Bill Nottingham <notting@redhat.com> - 14.0-1
- update for Fedora 14

* Tue Jul 27 2010 Bill Nottingham <notting@redhat.com> - 13.0.2-1
- sync with current anaconda reality (#618598, <jkeating@redhat.com>)

* Sat Jul 17 2010 Rex Dieter <rdieter@fedoraproject.org> - 13.0.1-3
- fix %%postun scriptlet error

* Fri Jun 25 2010 Rex Dieter <rdieter@fedoraproject.org> - 13.0.1-2
- Fedora-KDE icons are now fedora-kde-icons-theme, not kde-settings
- include icon scriplets
- drop ancient Conflicts: kdebase ...

* Tue May  4 2010 Bill Nottingham <notting@redhat.com> - 13.0.1-1
- Add logos to make firstboot work

* Mon May  3 2010 Bill Nottingham <notting@redhat.com> - 13.0-1
- Update for Fedora 13

* Sat Dec 26 2009 Fabian Affolter <fabian@bernewireless.net> - 12.2-3
- Changed SourceO to upstream link
- Added URL and README
- Added version to LGPL of the KDE logo
- Minor cosmetic layout changes

* Wed Nov  4 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 12.2-2
- kde icon installation

* Fri Oct 30 2009 Bill Nottingham <notting@redhat.com> - 12.2-1
- tweak anaconda.png/svg to match rest of icons (<duffy@redhat.com>)

* Fri Oct 30 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 12.1-1
- 12.1 (add generic versions of anaconda.png/svg)

* Thu Oct  1 2009 Bill Nottingham <notting@redhat.com> - 12.0-1
- update for F12 (<duffy@redhat.com>)

* Tue May 12 2009 Bill Nottingham <notting@redhat.com> - 11.0.1-1
- Add new plymouth artwork (#500239)

* Wed Apr 22 2009 Bill Nottingham <notting@redhat.com> - 11.0.0-1
- updates for Fedora 11

* Wed Dec  3 2008 Bill Nottingham <notting@redhat.com> - 10.0.2-1
- fix syslinux splash (accidentally branded)

* Tue Oct 28 2008 Bill Nottingham <notting@redhat.com> - 10.0.1-1
- incorporate KDE logo into upstream source distribution
- fix system-logo-white.png for compiz bleeding (#468258)

* Mon Oct 27 2008 Jaroslav Reznik <jreznik@redhat.com> - 10.0.0-3
- Solar Comet generic splash logo redesign

* Sun Oct 26 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 10.0.0-2
- Add (current version of) KDE logo for SolarComet KSplash theme

* Thu Oct 23 2008 Bill Nottingham <notting@redhat.com> - 10.0.0-1
- update for current fedora-logos, with Solar theme

* Fri Jul 11 2008 Bill Nottingham <notting@redhat.com> - 9.99.0-1
- add a system logo for plymouth's spinfinity plugin

* Tue Apr 15 2008 Bill Nottingham <notting@redhat.com> - 9.0.0-1
- updates for current fedora-logos (much thanks to <duffy@redhat.com>)
- remove KDE Infinity splash
 
* Mon Oct 29 2007 Bill Nottingham <notting@redhat.com> - 8.0.2-1
- Add Infinity splash screen for KDE

* Thu Sep 13 2007 Bill Nottingham <notting@redhat.com> - 7.92.1-1
- add powered-by logo (#250676)
- updated rhgb logo (<duffy@redhat.com>)

* Tue Sep 11 2007 Bill Nottinghan <notting@redhat.com> - 7.92.0-1
- initial packaging. Forked from fedora-logos, adapted from the Fedora
  Art project's Infinity theme
